package com.ssj.service.conch.conch.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

public class QrRequest extends BaseRequest {
	
	private static final long serialVersionUID = 1L;

	public String getDerver() {
		return derver;
	}

	public void setDerver(String derver) {
		this.derver = derver;
	}

	public Long getCurrentTime() {
		return currentTime;
	}

	public void setCurrentTime(Long currentTime) {
		this.currentTime = currentTime;
	}

	public String getNonceStr() {
		return nonceStr;
	}

	public void setNonceStr(String nonceStr) {
		this.nonceStr = nonceStr;
	}

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}

	@ApiModelProperty(name = "derver", value = "设备号", required = true)
    private String derver;

	@ApiModelProperty(name = "currentTime", value = "时间", required = true)
    private Long currentTime;

	@ApiModelProperty(name = "nonceStr", value = "随机码", required = true)
    private String nonceStr;

	@ApiModelProperty(name = "sign", value = "签名", required = true)
    private String sign;


}
